namespace HermesSocketServer.Store
{
    public interface IStore<K, V>
    {
        V? Get(K key);
        IDictionary<K, V> Get();
        Task Load();
        bool Modify(K? key, Action<V> modify);
        bool Modify(K? key, V value);
        bool Remove(K? key, bool fromCascade = false);
        Task Save();
        bool Set(K? key, V value);
    }
}